Package: groovy.model

## [Java] Class MyTableColumnModel

- groovy.model.DefaultTableModel.MyTableColumnModel

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `List` | `getColumnList()`
    `void` | `moveColumn(int columnIndex, int newIndex)`
    `void` | `removeColumn(TableColumn column)`
    `void` | `renumberTableColumns()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultTableColumnModel` | `getColumnCount, getColumnModelListeners, valueChanged, getSelectionModel, setSelectionModel, addColumn, addColumnModelListener, getColumn, getColumnIndex, getColumnIndexAtX, getColumnMargin, getColumnSelectionAllowed, getColumns, getSelectedColumnCount, getSelectedColumns, getTotalColumnWidth, moveColumn, removeColumn, removeColumnModelListener, setColumnMargin, setColumnSelectionAllowed, getListeners, propertyChange, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public List getColumnList()

    - #### public void moveColumn(int columnIndex, int newIndex)

    - #### public void removeColumn(TableColumn column)

    - #### public void renumberTableColumns()